<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />
<link rel="stylesheet" href="${contextPath}/static/js/contract/ace.fileinput.css" />

<div class="row">
    <div class="col-xs-12">
        <table id="grid-table">
            <select  id="yearBill">
                <option value="2019">2019</option>
                <option selected value="2018">2018</option>
                <option value="2017">2017</option>
                <option value="2016">2016</option>
                <option value="2015">2015</option>
            </select>
            &nbsp
            <select   id="monthBill">
                <option selected value="12">12</option>
                <option value="11">11</option>
                <option value="10">10</option>
                <option value="9">9</option>
                <option value="8">8</option>
                <option value="7">7</option>
                <option value="6">6</option>
                <option value="5">5</option>
                <option value="4">4</option>
                <option value="3">3</option>
                <option value="2">2</option>
                <option value="1">1</option>
            </select>
             &nbsp&nbsp
            <button id = "searchd" type="button" class="btn" >查询</button>
        </table>
        <div id="grid-pager"></div>

        <script type="text/javascript">
            var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
        </script>

        <!-- PAGE CONTENT ENDS -->
    </div><!-- /.col -->

    <div id="mod-file-applyhis" class="modal fade" tabindex="-1">
        <div class="modal-dialog" style="max-width: 500px;">
            <div class="modal-content">
                <div class="modal-header no-padding">
                    <div class="table-header" style="height: 36px;">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" style="margin-right: 10px;">
                            <span class="white">&times;</span>
                        </button>
                        申请开票
                    </div>
                </div>
                <div class="modal-body" id = "allticketHis">
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>

    <div id="modal-orderAttachs" class="modal fade" tabindex="-1"
         data-backdrop="static">
        <div class="modal-dialog" style="min-width: 650px;">
            <div class="modal-content">
                <div class="modal-header no-padding">
                    <div class="table-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">
                            <span class="white">&times;</span>
                        </button>
                        开票图片
                    </div>
                </div>
                <div class="modal-body" id="modal-orderAttachs-body"></div>
            </div>
        </div>
    </div>

    <div id="modal-sh
    owdetail" class="modal fade" tabindex="-1"
         data-backdrop="static" >
        <div class="modal-dialog" style="min-width: 678px;">
            <div class="modal-content">
                <div class="modal-header no-padding">
                    <div class="table-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">
                            <span class="white">&times;</span>
                        </button>
                        咨询订单详情
                    </div>
                </div>
                <div class="modal-body" id="modal-distributiondetail-body"  style="max-height: 600px;overflow-y: scroll;">
                    <input type="hidden" name="orderId" id="mod-distributiondetail-orderId" />
                    <input type="hidden" name="orderId" id="mod-distributiondetail-ssdborderwlId" />
                    <div class="row">
                        <label class="col-sm-3 control-label" style="text-align: left">订单号：</label>
                        <label class="col-sm-3 control-label" id="model_orderId" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">订单类型：</label>
                        <label class="col-sm-3 control-label" id="model_orderType" style="text-align: right"></label>
                    </div>
                    <div class="row">
                        <label class="col-sm-3 control-label" style="text-align: left">付款时间：</label>
                        <label class="col-sm-3 control-label" id="model_paytime" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">支付方式：</label>
                        <label class="col-sm-3 control-label" id="model_tradeType" style="text-align: right"></label>
                    </div>
                    <div class="row" id="modal-distributiondetail_group">
                        <label class="col-sm-3 control-label" style="text-align: left">结束时间：</label>
                        <label class="col-sm-3 control-label" id="model_realEndDate" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">用户电话：</label>
                        <label class="col-sm-3 control-label" id="model_userPhone"></label>
                    </div>
                    <div class="row">
                        <label class="col-sm-3 control-label" style="text-align: left">支付商户流水：</label>
                        <label class="col-sm-9 control-label" id="model_merchantFlowNo"></label>
                    </div>
                    <div class="row" id="modal-distributiondetail_mapgroup">
                        <label class="col-sm-3 control-label" style="text-align: left">律师姓名：</label>
                        <label class="col-sm-3 control-label" id="model_lawyerName" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">律师电话：</label>
                        <label class="col-sm-3 control-label" id="model_lawyerPhone" style="text-align: right"></label>
                    </div>
                    <div class="row" id="modal-distributiondetail_mapgroup2">
                        <label class="col-sm-3 control-label" style="text-align: left">服务费：</label>
                        <label class="col-sm-3 control-label" id="model_amount" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">平台佣金：</label>
                        <label class="col-sm-3 control-label" id="model_fee" style="text-align: right"></label>
                    </div>
                    <div class="row" id="modal-distributiondetail_mapgroup3">
                        <label class="col-sm-3 control-label" style="text-align: left">订单状态：</label>
                        <label class="col-sm-3 control-label" id="model_orderState" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">响应时长：</label>
                        <label class="col-sm-3 control-label" id="model_responseMinute" style="text-align: right"></label>
                    </div>
                    <div class="row" id="modal-distributiondetail_mapgroup4">
                        <label class="col-sm-3 control-label" style="text-align: left">未响应时长：</label>
                        <label class="col-sm-3 control-label" id="model_waitMinute" style="text-align: right"></label>
                        <label class="col-sm-3 control-label" style="text-align: left">是否被投诉：</label>
                        <label class="col-sm-3 control-label" id="model_complaintText" style="text-align: right"></label>
                    </div>
                    <div class="row" >
                        <label class="col-sm-3 control-label" style="text-align: left">投诉信息：</label>
                        <label class="col-sm-9 control-label" id="model_complaintDetailText" style="text-align: left"></label>
                    </div>
                    <ul class="nav nav-list"><li class="divider"></li></ul>
                    <div class="row" >
                        <label class="col-sm-3 control-label" style="text-align: left">用户评价：</label>
                        <label class="col-sm-3 control-label" style="text-align: left" id="comment1"></label>
                        <label class="col-sm-3 control-label" style="text-align: left" id="comment2"></label>
                        <label class="col-sm-3 control-label" style="text-align: left" id="comment3"></label>
                    </div>
                    <div class="row" >
                        <label class="col-sm-3 control-label" style="text-align: left">具体评价：</label>
                        <label class="col-sm-9 control-label" id="comment4"></label>
                    </div>
                    <div class="row" id="model_complaintDetailImg">
                        <label class="col-sm-3 control-label" style="text-align: left">投诉图片：</label>
                        <label class="col-sm-9 control-label" style="text-align: left"></label>
                    </div>
                    <div class="row" id="model_complaintDetailImg1">
                    </div>
                    <div class="row" >
                        <label class="col-sm-3 control-label" style="text-align: left">退款原因：</label>
                        <label class="col-sm-9 control-label" id="model_refundReason" style="text-align: left"></label>
                    </div>
                    <ul class="nav nav-list"><li class="divider"></li></ul>
                    <div class="row" >
                        <label class="col-sm-3 control-label" style="text-align: left">聊天记录</label>
                        <label class="col-sm-9 control-label" style="text-align: left"></label>
                    </div>
                    <div class="row" >
                        <label class="col-sm-12 control-label text-left" id="model_chatMessage" style="text-align: left">聊天记录</label>
                    </div>
                </div>
                <div class="modal-footer no-margin-top">
                    <div class="text-center">
                        <button class="btn btn-sm" data-dismiss="modal">
                            <i class="ace-icon fa fa-share bigger-160" ></i> 关闭
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modal-updatedetail" class="modal fade" tabindex="-1"
         data-backdrop="static">
        <div class="modal-dialog" style="min-width: 450px;">
            <div class="modal-content">
                <div class="modal-header no-padding">
                    <div class="table-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">
                            <span class="white">&times;</span>
                        </button>
                        修改订单详情
                    </div>
                </div>
                <div class="modal-body" id="modal-updatedetail-body">
                    <form id="updateDetail" class="form-horizontal">
                        <input type="hidden" name="orderId" id="mod-updateDetail-orderId" />
                        <div class="form-group">
                            <label class="col-sm-3 control-label">是否跟进：</label>
                            <select id='changeFollow'>
                                <option value="0" selected = "selected" >否</option>
                                <option value="1" >是</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-3 control-label">更改状态：</label>
                            <select id='changeStatusFlag'>
                                <option selected value="" >所有状态</option>
                                <option value="0" >待响应</option>
                                <option value="1" >已退款</option>
                                <option value="2" >咨询中</option>
                                <option value="3" >待评价</option>
                                <option value="4" >已完成</option>
                                <option value="5" >已取消</option>
                            </select>
                        </div>
                    </form>
                </div>
                <div class="modal-footer no-margin-top">
                    <div class="text-center">
                        <button id="modal-update-submit" type="button"
                                class="btn btn-sm btn-primary">
                            更新
                        </button>
                        <button class="btn btn-sm" data-dismiss="modal">
                            <i class="ace-icon fa fa-share bigger-160" ></i> 关闭
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-refund-body" class="modal fade" tabindex="-1" data-backdrop="static">
        <div class="modal-dialog" >
            <form id="checkForm">
                <div class="modal-content">
                    <div class="modal-header no-padding">
                        <div class="table-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                <span class="white">&times;</span>
                            </button>
                            备注
                        </div>
                    </div>
                    <div class="modal-body" style="overflow-y: scroll;">
                        <div id="mod-edit-tip" class="red clearfix"></div>
                        <input type="hidden" id="modal-refund-orderid" value="">
                        <div class="form-group" style="margin-left: 30px;">
                            <label class="control-label">请输入备注：</label>
                        </div>
                        <div class="form-group" style="margin-left: 30px;">
						<textarea id="modal-refund-reason" rows="4" cols="60"
                                  placeholder="请输入备注"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer no-margin-top">
                        <div class="text-center">
                            <button id="mod-check-success" type="button" class="btn btn-sm btn-primary" onclick="showRefundConfirm();">
                                确定
                            </button>
                            <button class="btn btn-sm" data-dismiss="modal">
                                取消
                            </button>
                        </div>
                    </div>
                </div><!-- /.modal-content -->
            </form>
        </div><!-- /.modal-dialog -->
    </div>

    <div id="mod-pic" class="modal fade" tabindex="-1" style="z-index: 9999">
        <div class="modal-dialog" style="max-width: 500px;">
            <div class="modal-content">
                <div class="modal-header no-padding">
                    <div class="table-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            <span class="white">&times;</span>
                        </button>
                        图片上传
                    </div>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xs-12">
                            <!-- PAGE CONTENT BEGINS  -->
                            <form id="picform" >
                                <input id="picFileId" type="file" name="file" multiple />
                                <div class="hr hr-12 dotted"></div>
                                <div class="text-center">
                                    <button type="button" class="btn btn-sm btn-primary" id="mod-pic-submit" >上传</button>
                                    <button type="reset" class="btn btn-sm">清除</button>
                                </div>
                            </form>
                        </div><!-- /.col -->
                    </div><!-- /.row -->

                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>

    <div id="modal-refund-info" class="modal fade" tabindex="-1" data-backdrop="static">
        <div class="modal-dialog" >
            <form id="checkForm2">
                <div class="modal-content">
                    <div class="modal-header no-padding">
                        <div class="table-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                <span class="white">&times;</span>
                            </button>
                            修改
                        </div>
                    </div>
                    <div class="modal-body" style="overflow-y: scroll;">
                        <div id="mod-edit-tip2" class="red clearfix"></div>
                        <input type="hidden" id="modal-refund-orderid2" value="">
                        <div class="form-group" style="margin-left: 30px;">
                            <label class="control-label">上传律师退款截图：</label>
                        </div>
                        <div class="form-group" style="margin-left: 30px;" id="imgeShow">
                        </div>
                        <div style="margin-left: 30px;">
                            <button id="update_lawyer_url" type="button" class="btn btn-sm btn-primary">上传</button>
                        </div>
                        <div class="form-group" style="margin-left: 30px;">
                            <label class="control-label">上传确认退保的聊天记录(和保险公司，律师的聊天都要上传)：</label>
                        </div>
                        <div class="form-group" style="margin-left: 30px;" id="imgeShow2">
                        </div>
                        <div style="margin-left: 30px;">
                            <button>上传</button>
                        </div>
                        <div class="form-group" style="margin-left: 30px;">
                            <label class="control-label">修改记录：</label>
                        </div>
                        <div class="form-group" style="margin-left: 30px;">
                            <label class="control-label">记录记录记录。。。</label>
                        </div>
                    </div>
                    <div class="modal-footer no-margin-top">
                        <div class="text-center">
                            <button class="btn btn-sm" data-dismiss="modal">
                                取消
                            </button>
                        </div>
                    </div>
                </div><!-- /.modal-content -->
            </form>
        </div><!-- /.modal-dialog -->
    </div>

    <div id="modal-refund-remark" class="modal fade" tabindex="-1" data-backdrop="static">
        <div class="modal-dialog" >
            <form id="checkForm1">
                <div class="modal-content">
                    <div class="modal-header no-padding">
                        <div class="table-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                <span class="white">&times;</span>
                            </button>
                            服务费比例备注
                        </div>
                    </div>
                    <div class="modal-body" style="overflow-y: scroll;" id="serviceCostDiv">

                    </div>
                    <div class="modal-footer no-margin-top">
                        <div class="text-center">
                            <button class="btn btn-sm" data-dismiss="modal">
                                取消
                            </button>
                        </div>
                    </div>
                </div><!-- /.modal-content -->
            </form>
        </div><!-- /.modal-dialog -->
    </div>
</div><!-- /.row -->
<script>

    /**
     * 生成文件名
     * @returns
     */
    function timestamp(){
        var time = new Date();
        var y = time.getFullYear();
        var m = time.getMonth()+1;
        var d = time.getDate();
        var h = time.getHours();
        var mm = time.getMinutes();
        var s = time.getSeconds();

        console.log(y);

        return ""+y+add0(m)+add0(d)+add0(h)+add0(mm)+add0(s);
    }

    function add0(m){
        return m<10?'0'+m : m;
    }

    function getTotalCost() {
        var keyword =$("#keyword").val();
        var startDate =$("#yearBill").val();
        var endDate =$("#monthBill").val();
        var loginName = $("#companyName").val();
        $.ajax({
            dataType : "json",
            url : "${contextPath}/bill/ssdbBill/getTotalCost",
            type : "post",
            data : {'keyword':keyword,'year':startDate,'month':endDate,'loginName':loginName},
            success : function(result) {
                if (result != null) {
                    $("#addServiceCost").html(result.addServiceCost);
                    $("#reduceServiceCost").html(result.reduceServiceCost);
                    $("#sumServiceCost").html(result.sumServiceCost);
                    $("#dealBf").html(result.dealBf);
                    if (result.orderTime) {
                        var time = result.orderTime ;
                        var arr = time.split("-");
                        if (arr.length > 2) {
                            $("#yearBill").val(arr[0]);
                            $("#monthBill").val(arr[1]);
                        }
                    }
                    if (result.currentMon) {
                        alert("该月账单未生成。。")
                    }
                }
            }
        });

        //显示详情
        function showAllDetail(id) {
            //清空
            $("#model_paytime").html("");
            $("#model_realEndDate").html("");
            $("#model_orderId").html("");
            $("#model_orderType").html("");
            $("#model_tradeType").html("");
            $("#model_userPhone").html("");
            $("#model_merchantFlowNo").html("");

            $("#model_lawyerName").html("");
            $("#model_lawyerPhone").html("");
            $("#model_amount").html("");
            $("#model_fee").html("");
            $("#model_orderState").html("");
            $("#model_responseMinute").html("");
            $("#model_waitMinute").html("");
            $("#model_complaintText").html("");

            //投诉原因  退款原因
            $("#model_complaintDetailText").html("");
            $("#model_refundReason").html("");
            $("#model_complaintDetailImg").hide();

            $("#model_chatMessage").html("");

            $("#modal-showdetail").modal("toggle");
            $.ajax({
                dataType : "json",
                url : "${contextPath}/ads/order/getOrderById",
                type : "post",
                data : {
                    'orderId' : id,
                },
                success : function(ret) {
                    if(ret != null){
                        if(ret.success == "true") {
                            $("#model_paytime").html(ret.paytime);
                            $("#model_realEndDate").html(ret.realEndDate);
                            $("#model_orderId").html(ret.orderId);
                            $("#model_tradeType").html(ret.tradeType);
                            $("#model_userPhone").html(ret.userPhone);
                            $("#model_merchantFlowNo").html(ret.merchantFlowNo);

                            //订单类型
                            $("#model_orderType").html(ret.orderType + ret.userType);

                            $("#model_lawyerName").html(ret.lawyerName);
                            $("#model_lawyerPhone").html(ret.lawyerPhone);
                            $("#model_amount").html(ret.amount);
                            $("#model_fee").html(ret.fee);
                            $("#model_orderState").html(ret.orderState);
                            $("#model_responseMinute").html(ret.responseMinute + '分钟');
                            $("#model_waitMinute").html(ret.waitMinute + '分钟');
                            $("#model_complaintText").html(ret.complaintText);

                            //投诉原因  退款原因
                            $("#model_complaintDetailText").html(ret.complaintDetailText);
                            $("#model_refundReason").html(ret.refundReason);

                            //var obj = str.parseJSON(); //由JSON字符串转换为JSON对象
                            if(ret.complaintUrls != null) {
                                var arr = ret.complaintUrls;
                                arr = arr.substring(1,arr.length-1);
                                var list = arr.split(',');
                                var tempHtml = '';
                                for(var i = 0 ; i < list.length; i ++){
                                    tempHtml += '<img src='+list[i]+' class="img-thumbnail" style="height: 450px;width: 300px;margin-left: 20px">'
                                }
                                $("#model_complaintDetailImg1").html(tempHtml);
                                $("#model_complaintDetailImg1").show();
                            }else {
                                $("#model_complaintDetailImg1").html("");
                                $("#model_complaintDetailImg1").hide();
                            }

                        }else{
                            alert("获取数据失败！")
                        }
                    }
                }
            });

            $.ajax({
                dataType : "json",
                url : "${contextPath}/ads/order/getOrderChat",
                type : "post",
                data : {
                    'orderId' : id,
                },
                success : function(ret) {
                    if(ret != null){
                        var chatMessage = '';
                        for ( var i = 0; i <ret.length; i++){
                            var tempText = ret[i].sender + ": " + ret[i].message + "<br/>"
                            chatMessage += tempText ;
                        }
                        $("#model_chatMessage").html(chatMessage);
                    }
                }
            });


            $.ajax({
                dataType : "json",
                url : "${contextPath}/ads/order/getOrderComment",
                type : "post",
                data : {
                    'orderId' : id,
                },
                success : function(ret) {
                    if(ret != null){
                        $("#comment1").html("专业能力("+ret.professionalScore+")");
                        $("#comment2").html("服务态度("+ret.serviceScore+")");
                        $("#comment3").html("回复速度("+ret.promptScore+")");
                        $("#comment4").html(ret.comment);
                    } else {
                        $("#comment1").html("");
                        $("#comment2").html("");
                        $("#comment3").html("");
                        $("#comment4").html("");
                    }
                }
            });
        }
        function showUpdateModel(id) {
            $("#modal-updatedetail").modal("toggle");
            $.ajax({
                dataType : "json",
                url : "${contextPath}/ads/order/getOrderById",
                type : "post",
                data : {
                    'orderId' : id,
                },
                success : function(ret) {
                    if(ret != null){
                        $("#mod-updateDetail-orderId").val(id);
                        $("#changeStatusFlag").val(ret.orderStateKey);
                        $("#changeFollow").val(ret.follow);
                    }
                }
            });
        }

        $('#update_lawyer_url').click(function(event) {
            document.getElementById('picform').reset();
            $('#mod-pic').modal('toggle');
        });

        $("#modal-update-submit").on("click", function(e) {
            //进行跟新
            var id = $("#mod-updateDetail-orderId").val();
            var changeStatusFlag = $("#changeStatusFlag").val();
            var changeFollow = $("#changeFollow").val();

            $.ajax({
                dataType : "json",
                url : "${contextPath}/ads/order/updateOrder",
                type : "post",
                data : {
                    'id' : id,
                    'orderState' : changeStatusFlag,
                    'follow' : changeFollow

                },
                success : function(ret) {
                    if(ret.success == 'true'){
                        $("#modal-updatedetail").modal("toggle");
                        jQuery("#grid-table").trigger("reloadGrid");
                    }
                }
            });


        });
    }
</script>
<!-- page specific plugin scripts -->
<script src="http://gosspublic.alicdn.com/aliyun-oss-sdk-4.3.0.min.js"></script>
<script type="text/javascript">
    var scripts = [ null,  "${contextPath}/static/assets/js/date-time/bootstrap-datepicker.js",
        "${contextPath}/static/assets/js/date-time/locales/bootstrap-datepicker.zh-CN.js",
        "${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js",
        "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js",
        "${contextPath}/static/js/contract/promise-6.1.0.js",
        "${contextPath}/static/js/contract/ace.fileinput.js",
        "${contextPath}/static/js/contract/uuid.js",
        "${contextPath}/static/js/contract/picupload.js",
        "${contextPath}/static/assets/js/lazyload/jquery.lazyload.js",
        "${contextPath}/static/js/network.js",
        null ]
    $('.page-content-area').ace_ajax('loadScripts', scripts, function() {
        // inline scripts related to this page
        jQuery(function($) {
            var grid_selector = "#grid-table";
            var pager_selector = "#grid-pager";

            // resize to fit page size
            $(window).on('resize.jqGrid', function() {
                $(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
            })
            // resize on sidebar collapse/expand
            var parent_column = $(grid_selector).closest('[class*="col-"]');
            $(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
                if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
                    // setTimeout is for webkit only to give time for DOM changes and then redraw!!!
                    setTimeout(function() {
                        $(grid_selector).jqGrid('setGridWidth', parent_column.width());
                    }, 0);
                }
            })

            myGrid=	jQuery(grid_selector).jqGrid({
                subGrid : false,
                url : "${contextPath}/bill/ssdbBill/getAllTickets",
                datatype : "json",
                height : '100%',
                width : 'auto',
                colNames : ['登录名', '结算机构', '应收服务费', '已开票金额', '未开票金额','操作'],
                colModel : [{
                    name : 'loginName',
                    index : 'loginName',
                    sorttype : 'text',
                    width : 50,
                    editable : false
                }, {
                    name : 'name',
                    index : 'name',
                    width : 90,
                    sorttype : 'text',
                    editable : false,
                }, {
                    name : 'serviceCost',
                    index : 'serviceCost',
                    width : 60,
                    editable : false,
                    sorttype : 'text',
                }, {
                    name : 'money',
                    index : 'money',
                    width : 25,
                    editable : false
                }, {
                    name : 'notMoney',
                    index : 'notMoney',
                    width : 80,
                    editable : false
                },{
                    name : 'id',
                    index : '',
                    label : '操作',
                    width : 160,
                    editable : false,
                    search : false,
                    sortable : false,
                    fixed:true,
                    formatter : optionFormatter
                }
                ],
                //scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
                sortname : "paytime",
                sortorder : "desc",
                viewrecords : true,
                rowNum : 10,
                rowList : [ 10, 30, 500 ],
                pager : pager_selector,
                altRows : true,
                multiselect : true,
                multiboxonly : true,
                loadComplete : function() {
                    var table = this;
                    setTimeout(function(){
                        styleCheckbox(table);
                        updateActionIcons(table);
                        updatePagerIcons(table);
                        enableTooltips(table);
                    }, 0);
                },
                editurl : "${contextPath}/ads/order/adsOrderDetails"
            });

            $(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size

            // enable search/filter toolbar
            // jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
            // jQuery(grid_selector).filterToolbar({});
            // switch element when editing inline
            function aceSwitch(cellvalue, options, cell) {
                setTimeout(function() {
                    $(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
                }, 0);
            }

            var appServer = 'http://b.duowenlvshi.com/oss/token?name=ssdb';
            var bucket = 'duowen-test';
            var region = 'oss-cn-shenzhen';
            var applyTokenDo = function(func) {
                var url = appServer;
                $.ajax({
                    type: "POST",
                    url: url,
                    data: "",
                    dataType: "jsonp",
                    success: function(e) {
                        var client = new OSS({
                            region: region,
                            accessKeyId: e.AccessKeyId,
                            accessKeySecret: e.AccessKeySecret,
                            stsToken: e.SecurityToken,
                            bucket: bucket
                        });
                        return func(client);
                    },
                    error: function(data) {
                        console.log(data);
                    }
                });
            };

            var addPic = function(client) {
                var picFile = document.getElementById("picFileId").files[0];
                var fileName = UUIDjs.create().hex;
                var fileType = getFileType(picFile.name);
                var oDate = new Date(); //实例一个时间对象；
                var y = oDate.getFullYear();   //获取系统的年；
                var m = oDate.getMonth()+1;   //获取系统月份，由于月份是从0开始计算，所以要加1
                var d = oDate.getDate(); // 获取系统日
                var key = "ssdb/order/436fd9db-46ae-41be-b3e7-889ff0270e3b/"+y+"/"+m+"/"+d+"/"+fileName+"."+fileType;
                console.log(client);
                console.log(picFile);
                return client.multipartUpload(key, picFile, {
                    progress: progress
                }).then(function(res) {
                    console.log(res);
                    //addPicSuccessCallBack(res, name, key);
                });
            };



            var progress = function(p) {//上传成功的进度条
                    return function (done) {
                        done();
                    };
                }
            ;

            $("#mod-pic-submit").click(function () {
                applyTokenDo(addPic);
                //applyTokenDo(uploadFile);
            });

            function getFileType(fileName){
                var ldot = fileName.lastIndexOf('.')
                if(ldot>=0)
                    return fileName.substring(ldot + 1);
                else
                    return "";
            }

            //搜索
            $("#searchd").click(function(){
                var startDate =$("#yearBill").val();
                var endDate =$("#monthBill").val();
                myGrid.setGridParam({postData:{'year':startDate,'month':endDate},url : '${contextPath}/bill/ssdbBill/getAllTickets',page:1}).trigger('reloadGrid');
            });

            // navButtons
            jQuery(grid_selector).jqGrid('navGrid', pager_selector, { // navbar options
                edit : <shiro:hasPermission name="${ROLE_KEY}:payRecord:edit">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:payRecord:edit">false</shiro:lacksPermission>,
                editicon : 'ace-icon fa fa-pencil blue',
                add : <shiro:hasPermission name="${ROLE_KEY}:payRecord:add">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:payRecord:add">false</shiro:lacksPermission>,
                addicon : 'ace-icon fa fa-plus-circle purple',
                del : <shiro:hasPermission name="${ROLE_KEY}:payRecord:delete">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:payRecord:delete">false</shiro:lacksPermission>,
                delicon : 'ace-icon fa fa-trash-o red',
                search : <shiro:hasPermission name="${ROLE_KEY}:payRecord:search">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:payRecord:search">false</shiro:lacksPermission>,
                searchicon : 'ace-icon fa fa-search orange',
                refresh : true,
                refreshicon : 'ace-icon fa fa-refresh blue',
                view : <shiro:hasPermission name="${ROLE_KEY}:payRecord:view">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:payRecord:view">false</shiro:lacksPermission>,
                viewicon : 'ace-icon fa fa-search-plus grey'
            }, {
                // edit record form
                // closeAfterEdit: true,
                // width: 700,
                recreateForm : true,
                beforeShowForm : function(e) {
                    var form = $(e[0]);
                    form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
                    style_edit_form(form);
                },
                errorTextFormat: function (response) {
                    var result = eval('('+response.responseText+')');
                    return result.message;
                }
            }, {
                // new record form
                // width: 700,
                closeAfterAdd : true,
                recreateForm : true,
                viewPagerButtons : false,
                beforeShowForm : function(e) {
                    var form = $(e[0]);
                    form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
                    style_edit_form(form);
                },
                errorTextFormat: function (response) {
                    var result = eval('('+response.responseText+')');
                    return result.message;
                }
            }, {
                // delete record form
                recreateForm : true,
                beforeShowForm : function(e) {
                    var form = $(e[0]);
                    if (form.data('styled'))
                        return false;
                    form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
                    style_delete_form(form);
                    form.data('styled', true);
                },
                onClick : function(e) {
                    // alert(1);
                }
            }, {
                // search form
                recreateForm : true,
                afterShowSearch : function(e) {
                    var form = $(e[0]);
                    form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
                    style_search_form(form);
                },
                afterRedraw : function() {
                    style_search_filters($(this));
                },
                multipleSearch : true
                /**
                 * multipleGroup:true, showQuery: true
                 */
            }, {
                // view record form
                recreateForm : true,
                beforeShowForm : function(e) {
                    var form = $(e[0]);
                    form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
                }
            })

            // add custom button to export the data to excel
            if(<shiro:hasPermission name="${ROLE_KEY}:companyPay:export">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:companyPay:export">false</shiro:lacksPermission>){
                jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
                    caption : "",
                    title : "导出Excel",
                    buttonicon : "ace-icon fa fa-file-excel-o green",
                    onClickButton : function () {
                        var keys = [], ii = 0, rows = "";
                        var ids = $(grid_selector).getDataIDs(); // Get All IDs
                        var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
                        var label = $(grid_selector).jqGrid('getGridParam','colNames');
                        for(var k in label){
                            if(label[k].length > 0){
                                if( k > 0) {
                                    rows = rows + label[k] + "\t"; // output each Column as tab delimited
                                }
                            }
                        }
                        for (var k in row) {
                            keys[ii++] = k; // capture col names
                        }
                        rows = rows + "\n"; // Output header with end of line
                        var tIds = {"paytime":true,"realEndDate":true,"orderId":true,"tradeType":true,"userPhone":true,"merchantFlowNo":true,"lawyerName":true,"lawyerPhone":true,"amount":true,"fee":false,"orderState":false,"responseMinute":false,"waitMinute":false,"complaintText":false};
                        var v = null;
                        for (var i = 0; i < ids.length; i++) {
                            row = $(grid_selector).getRowData(ids[i]); // get each row
                            for (var j = 0; j < keys.length; j++){
                                v = row[keys[j]];
                                v = v.replace(/[\n\t]/g, "");
                                if(tIds[keys[j]]){
                                    rows = rows + '="' + v + '"\t'; // output each Row as tab delimited
                                }else{
                                    rows = rows + v + '\t'; // output each Row as tab delimited
                                }
                            }
                            rows = rows + "\n"; // output each row with end of line
                        }
                        rows = rows + "\n"; // end of line at the end
                        var form = "<form name='csvexportform' action='${contextPath}/fs/report/getExcel?fileName=advOrderDetails' method='post'>";
                        form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
                        form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
                        OpenWindow = window.open('', '');
                        OpenWindow.document.write(form);
                        OpenWindow.document.close();
                    }
                });
            }

            function style_edit_form(form) {
                // form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
                // don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
                // .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

                // update buttons classes
                var buttons = form.next().find('.EditButton .fm-button');
                buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
                buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
                buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

                buttons = form.next().find('.navButton a');
                buttons.find('.ui-icon').hide();
                buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
                buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
            }

            function style_delete_form(form) {
                var buttons = form.next().find('.EditButton .fm-button');
                buttons.addClass('btn btn-sm btn-white btn-round').find('[class*="-icon"]').hide();// ui-icon, s-icon
                buttons.eq(0).addClass('btn-danger').prepend('<i class="ace-icon fa fa-trash-o"></i>');
                buttons.eq(1).addClass('btn-default').prepend('<i class="ace-icon fa fa-times"></i>')
            }

            function style_search_filters(form) {
                form.find('.delete-rule').val('X');
                form.find('.add-rule').addClass('btn btn-xs btn-primary');
                form.find('.add-group').addClass('btn btn-xs btn-success');
                form.find('.delete-group').addClass('btn btn-xs btn-danger');
            }
            function style_search_form(form) {
                var dialog = form.closest('.ui-jqdialog');
                var buttons = dialog.find('.EditTable')
                buttons.find('.EditButton a[id*="_reset"]').addClass('btn btn-sm btn-info').find('.ui-icon').attr('class', 'ace-icon fa fa-retweet');
                buttons.find('.EditButton a[id*="_query"]').addClass('btn btn-sm btn-inverse').find('.ui-icon').attr('class', 'ace-icon fa fa-comment-o');
                buttons.find('.EditButton a[id*="_search"]').addClass('btn btn-sm btn-purple').find('.ui-icon').attr('class', 'ace-icon fa fa-search');
            }

            function beforeDeleteCallback(e) {
                var form = $(e[0]);
                if (form.data('styled'))
                    return false;
                form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
                style_delete_form(form);
                form.data('styled', true);
            }

            function beforeEditCallback(e) {
                var form = $(e[0]);
                form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
                style_edit_form(form);
            }

            // it causes some flicker when reloading or navigating grid
            // it may be possible to have some custom formatter to do this as the grid is being created to prevent this
            // or go back to default browser checkbox styles for the grid
            function styleCheckbox(table) {
                /**
                 * $(table).find('input:checkbox').addClass('ace') .wrap('<label />') .after('<span class="lbl align-top" />') $('.ui-jqgrid-labels th[id*="_cb"]:first-child')
                 * .find('input.cbox[type=checkbox]').addClass('ace') .wrap('<label />').after('<span class="lbl align-top" />');
                 */
            }

            // unlike navButtons icons, action icons in rows seem to be hard-coded
            // you can change them like this in here if you want
            function updateActionIcons(table) {
                /**
                 * var replacement = { 'ui-ace-icon fa fa-pencil' : 'ace-icon fa fa-pencil blue', 'ui-ace-icon fa fa-trash-o' : 'ace-icon fa fa-trash-o red', 'ui-icon-disk' : 'ace-icon fa fa-check green', 'ui-icon-cancel' :
        			 * 'ace-icon fa fa-times red' }; $(table).find('.ui-pg-div span.ui-icon').each(function(){ var icon = $(this); var $class = $.trim(icon.attr('class').replace('ui-icon', '')); if($class in replacement)
        			 * icon.attr('class', 'ui-icon '+replacement[$class]); })
                 */
            }

            // replace icons with FontAwesome icons like above
            function updatePagerIcons(table) {
                var replacement = {
                    'ui-icon-seek-first' : 'ace-icon fa fa-angle-double-left bigger-140',
                    'ui-icon-seek-prev' : 'ace-icon fa fa-angle-left bigger-140',
                    'ui-icon-seek-next' : 'ace-icon fa fa-angle-right bigger-140',
                    'ui-icon-seek-end' : 'ace-icon fa fa-angle-double-right bigger-140'
                };
                $('.ui-pg-table:not(.navtable) > tbody > tr > .ui-pg-button > .ui-icon').each(function() {
                    var icon = $(this);
                    var $class = $.trim(icon.attr('class').replace('ui-icon', ''));

                    if ($class in replacement)
                        icon.attr('class', 'ui-icon ' + replacement[$class]);
                })
            }

            function enableTooltips(table) {
                $('.navtable .ui-pg-button').tooltip({
                    container : 'body'
                });
                $(table).find('.ui-pg-div').tooltip({
                    container : 'body'
                });
            }

            function changeProportionType(cellvalue, options, rowObject) {
                var result = null ;
                result = '<span>'+cellvalue+'</span><a style="margin-left: 2px" href="javaScript:void(0)" onclick="showProtocol('+rowObject.orderId+')"><img src="${contextPath}/static/img/question.png" ></a>'

                return result;
            }



            //根据是否退保改变样式
            function changeCostStyle(cellvalue, options, rowObject) {
                var result = null ;
                //退保
                if (rowObject.signB) {
                    result = '<span style="color: #DC143C">'+cellvalue+'</span>'
                } else {
                    result = cellvalue ;
                }
                return result;
            }

            function optionFormatter(cellvalue, options, cell) {
                var template = "<button data-toggle='modal' onclick='showRemark(\""+cell.invoiceId+"\")' class='btn btn-minier btn-yellow'><i class='ace-icon fa fa-hdd-o '></i>开票记录</button>";

                return template;
            }
            // var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');

            $(document).one('ajaxloadstart.page', function(e) {
                $(grid_selector).jqGrid('GridUnload');
                $('.ui-jqdialog').remove();
            });

            $('#startDate').datepicker({
                language: 'zh-CN',
                pickTime: false,
                todayBtn: true,
                autoclose: true,
                minView: '2',
                forceParse: false,
                format:"yyyy-mm-dd"
            });
            $('#endDate').datepicker({
                language: 'zh-CN',
                pickTime: false,
                todayBtn: true,
                autoclose: true,
                minView: '2',
                forceParse: false,
                format:"yyyy-mm-dd"
            });
        });
    });

    function showRefundConfirm() {
        var reason = $("#modal-refund-reason").val();
        var id = $("#modal-refund-orderid").val();
        $.ajax({
            dataType : "json",
            url : "${contextPath}/sys/ssdbOrder/saveRemark",
            type : "post",
            data : {
                'orderId' : id,
                'remark' : reason
            },
            success : function(ret) {
                $("#modal-refund-body").modal("toggle");
                if(ret.success == true){
                    alert("修改成功！");
                    jQuery("#grid-table").trigger("reloadGrid");
                }else {
                    alert("修改失败！");
                }
            }
        });
    }
    function showRemark(id) {
        $("#mod-file-applyhis").modal("toggle");
        $.ajax({
            type : "POST",
            url : "${contextPath}/bill/ssdbBill/getTicketsHis",
            data : {"id":id},
            dataType : "json",
            success : function(result) {
                console.log(result);
                if (result.success) {
                    var data = result.data ;
                    var html = '';
                    if (data != null) {
                        var url = '/' + data.ticketImgUrl ;
                        html += '<div class="row">' +
                            '                    <div class="col-xs-12">\n' +
                            '                        <!-- PAGE CONTENT BEGINS -->\n' +
                            '                        <form >\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">'+ timestampToTime(data.createTime) +'</label>\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px;">开票金额：<span>'+ data.money +'</span>元</label>\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px;text-align: right" >'+ changeApplyType(data.applyType) +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">发票类型：</label>\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">'+ changeInvoType(data.invoType) +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">发票抬头：</label>\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">'+ data.name +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                            <label class="col-sm-4 no-padding" style="margin-top: 5px">纳税人识别号：</label>\n' +
                            '                            <label class="col-sm-4 no-padding" style="margin-top: 5px">'+ data.taxNum +'</label>\n';

                            if (result.attact > 0) {
                                html += '<input type="button" class="btn col-sm-3" onclick="showImgUrls(\''+ data.id +'\')" value="查看开票图片" />';
                            }
                             html += '</div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">公司地址：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.companyAddress +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">电话：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.phone +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">开户名：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.bankName +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">开户账号：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.bankAccount +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">开户行：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.bank +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">开票内容：</label>\n' +
                            '                                <label class="col-sm-6 no-padding" style="margin-top: 5px">'+ data.ticketContent +'</label>\n' +
                            '                            </div>\n' +
                            '                            <div class="col-xs-12">\n' +
                            '                                <label class="col-sm-4 no-padding" style="margin-top: 5px">发票寄件信息：</label>\n' +
                            '                                <label class="col-sm-8 no-padding" style="margin-top: 5px">'+ data.expressInfo +'</label>\n' +
                            '                            </div>\n' +
                            '                        </form>\n' +
                            '                    </div><!-- /.col -->\n' +
                            '                </div><!-- /.row -->';
                    }

                    html += '  <div class="text-center" style = "margin-top: 10px">\n' +
                        '                    <button type="button" class="btn btn-sm" data-dismiss="modal">关闭</button>\n' +
                        '                </div>';

                    $("#allticketHis").html(html);

                } else {
                    alert("出票记录获取失败！")
                }
            }
        });
    }

    function showImgUrls(id) {

        $("#modal-orderAttachs").modal("toggle");
        $.ajax({
            dataType : "json",
            url : "${contextPath}/bill/ssdbBill/getAttactImgUrls",
            type : "post",
            data : {
                'id' : id
            },
            success : function(ret) {

                var url = '${oss_bucket_ssdb_url}';
                var thum = '${oss_bucket_ssdb_url_img}';
                var size = '${oss_bucket_ssdb_url_img_size}';
                var v = '';
                var html = '';
                if (ret.success) {
                    var data = ret.data ;
                    for (var i = 0 ; i < data.length; i ++){
                        v = data[i];
                        html +='<a href="'  + url +'/'+ v.filePath + '" target="_blank" style="margin-left: 4px">';
                        html += '<img src ="' + thum +'/'+ v.filePath + '" height="100" width="100">';
                        html +='</a>&nbsp;';
                    }
                }
                console.log(html);
                $('#modal-orderAttachs-body').html(html);
            }
        });
    }

    function changeApplyType(type) {
        if (type == 1) {
            return '申请中';
        } else if(type == 2) {
            return '申请失败';
        }else if(type == 3) {
            return '未开票';
        }else if(type == 4) {
            return '已开票';
        }else if(type == 5) {
            return '未寄出';
        }else if(type == 6) {
            return '已寄出';
        } else {
            return type ;
        }
    }

    function changeInvoType(type) {
        if (type == 1) {
            return '增值税专用发票';
        } else if(type == 0) {
            return '普通发票';
        } else {
            return type ;
        }
    }

    function timestampToTime(timestamp) {
        var date = new Date(timestamp);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
        var Y = date.getFullYear() + '-';
        var M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
        var D = date.getDate() + ' ';
        var h = date.getHours() + ':';
        var m = date.getMinutes() + ':';
        var s = date.getSeconds();
        return Y+M+D+h+m+s;
    }

    function showChangeInfo(id) {
        $("#modal-refund-orderid2").val(id);
        $("#modal-refund-info").modal("toggle");
    }

    function showProtocol(orderId) {
        $("#modal-refund-remark").modal("toggle");
        $.ajax({
            dataType : "json",
            url : "${contextPath}/bill/ssdbBill/getProtocolInfo",
            type : "post",
            data : {"orderId":orderId},
            success : function(result) {
                console.log(result);
                if (result.success) {
                    var html = "";
                    var data = result.data ;
                    html = '<div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label">服务费计算规则：</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label">服务费比例：'+data.serviceCostProportion+'%</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label">服务费修改记录：</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label" id="changeRemark">'+data.changeRemark+'</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label">服务费修改原因：</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label" id="changeReason">'+data.changeReason+'</label>\n' +
                        '                        </div>\n' +
                        '                        <div class="form-group" style="margin-left: 30px;">\n' +
                        '                            <label class="control-label">服务费修改依据：</label>\n' +
                        '                        </div>\n';

                    var urls = data.urls ;
                    var urlhtml = ' <div class="form-group" style="margin-left: 30px;">' ;
                    for (var i = 0 ; i < urls.length; i ++) {
                        urlhtml += '<img src="'+ urls[i] +'"/>';
                    }
                    urlhtml += '</div>';
                    html += urlhtml ;
                    $("#serviceCostDiv").html(html);
                }
            }
        });
    }

    function getAllCompanys() {
        $.ajax({
            dataType : "json",
            url : "${contextPath}/sys/company/getAllCompany",
            type : "post",
            data : {},
            success : function(result) {
                var html = '<option selected value="0">选择登陆名</option>';
                if (result.success) {
                    var data = result.data;
                    for(var i = 0 ; i < data.length; i ++) {
                        html += '<option selected value='+data[i]+'>'+data[i]+'</option>'
                    }
                    $("#companyName").html(html);
                }
            }
        });
    }

    $(function () {
        getAllCompanys();
    });
</script>
